Name:		htmlparser
Epoch:		1
Version:	1.5
Release:	9%{?dist}
Summary:	HTML Parser, a Java library used to parse HTML
Group:		Development/Tools
License:	LGPLv2+
URL:		http://htmlparser.sourceforge.net/
Source0:	http://downloads.sourceforge.net/htmlparser/htmlparser1_5_20050614.zip
Patch1:         htmlparser-build.patch
BuildArch:	noarch

BuildRequires:	java-devel >= 1:1.6.0
BuildRequires:	jpackage-utils, ant

Requires:	java-headless >= 1:1.6.0
Requires:	jpackage-utils

%description
HTML Parser is a Java library used to parse HTML in either a linear or
nested fashion. Primarily used for transformation or extraction, it features
filters, visitors, custom tags and easy to use JavaBeans. It is a fast,
robust and well tested package.

%package	javadoc
Summary:	Javadocs for %{name}
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	jpackage-utils
%description 	javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n htmlparser1_5

find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;
%{__unzip} -qq src.zip
%patch1 -p1


%build
export ANT_OPTS=" -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 "
ant jar
ant javadoc

%install
install -D lib/htmlparser.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -D lib/htmllexer.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-lexer.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp docs/javadoc/ $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%files
%doc license.txt readme.txt docs/articles docs/bug.html docs/changes.txt docs/contributors.html docs/htmlparser.jpg docs/htmlparserlogo.jpg docs/index.html  docs/joinus.html docs/mailinglists.html docs/main.html docs/panel.html docs/pics docs/release.txt docs/samples.html docs/support.html docs/wiki
%{_javadir}/*


%files javadoc
%{_javadocdir}/*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Mar 11 2016 Peter Robinson <pbrobinson@fedoraproject.org> 1:1.5-5
- Java is now available on PPC platforms, spec cleanup

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Nov 18 2014 Ismael Olea <ismael@olea.org> - 1:1.5-2
- stupid epoch bug on dependencies

* Mon Nov 17 2014 Ismael Olea <ismael@olea.org> - 1:1.5-1
- Back to 1.5 due a bug with OmegaT http://sourceforge.net/p/omegat/mailman/message/32783657/

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6-14
- Use Requires: java-headless rebuild (#1067528)

* Tue Oct 29 2013 Ismael Olea <ismael@olea.org> - 1.6-13
- fixing #1022102

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jul 24 2012 <ismael@olea.org> - 1.6-10
- Compiling for generics, see #842598

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 <ismael@olea.org> - 1.6-6
- Excluding ppc64 arch, see #664440

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 12 2009 Karsten Hopp <karsten@redhat.com> 1.6-4.1
- Specify source and target as 1.4 to make it build
- require java-1.6.0 for com.sun.tools.doclets

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 31 2008 Ismael Olea <ismael@olea.org> 1.6-3
- QA revision, cosmetic changes and removed non applying CPL license reference.

* Fri Aug 29 2008 Ismael Olea <ismael@olea.org> 1.6-2olea
- QA revision

* Mon Aug 25 2008 Ismael Olea <ismael@olea.org> 1.6-1olea
- first version

